Bug 206234 - [PATCH] editors/openoffice-4: fix nss-related problems with password-protected documents
Summary: [PATCH] editors/openoffice-4: fix nss-related problems with password-protecte...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Don Lewis
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-01-14 12:20 UTC by Arrigo Marchiori
Modified: 2016-01-30 21:27 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (office)


Attachments
Upstream patch (vanilla, to be copied into the files/ directory) (6.70 KB, text/plain)
2016-01-14 12:27 UTC, Arrigo Marchiori
no flags Details
Patch including upstream's commit and the proposed patch to enable correct interpretation of the isRelative option (2.69 KB, patch)
2016-01-19 13:23 UTC, Arrigo Marchiori
no flags Details | Diff
Integration of upstream SVN commits (3.32 KB, patch)
2016-01-19 13:35 UTC, Arrigo Marchiori
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arrigo Marchiori 2016-01-14 12:20:11 UTC
Upstream issue 125431 (https://bz.apache.org/ooo/show_bug.cgi?id=125431) reports that password-protected documents may not be opened and saved due to problems with libnss.

I was personally encountering the same issue. This bug report is to propose integration of the upstream patch into the FreeBSD port. The patch seems to solve the problem on my system, allowing me to open and save password-protected files again.

$ uname -a
FreeBSD myhost 9.3-STABLE FreeBSD 9.3-STABLE #140 r293654M: Mon Jan 11 09:55:00 CET 2016     root@myhost:/usr/obj/usr/src/sys/GENERIC  i386

$ svn info /usr/ports | grep Revision
Revision: 405768
Comment 1 Arrigo Marchiori 2016-01-14 12:27:11 UTC
Created attachment 165563 [details]
Upstream patch (vanilla, to be copied into the files/ directory)

This file is the ``vanilla'' patch proposed by upstream:
https://bz.apache.org/ooo/attachment.cgi?id=84969&action=diff

It works if copied into the files/ directory of the editors/openoffice-4 port.
I am not sure if it is a good idea to split it into many files, each one patching a single source file, as requested in Porter's Handbook chapter 4.4. In fact, it seems that the files/ directory already contains ``bulk'' patches that affect many files.

I am also not sure if it is advisable to apply this fix selectively, i.e. leave to the user the choice between OpenSSL and libnss. Please advise if you think so, and kindly give me some pointers to the documentation on such process (I could not find any information on _selective_ patching in the Porter's Handbook).
Comment 2 Damjan Jovanovic 2016-01-16 13:30:37 UTC
Please scrap that patch, it's fixed upstream now in SVN revision 1724971 (github https://github.com/apache/openoffice/commit/1b37335955a5c2a31c90142ea739bee1bd54a79c). If you want to fix older openoffice versions, backport that patch instead, which will fix encryption functions and digital signatures too, not just cryptographic hash functions.
Comment 3 Arrigo Marchiori 2016-01-19 13:23:15 UTC
Created attachment 165818 [details]
Patch including upstream's commit and the proposed patch to enable correct interpretation of the isRelative option

Following Damjan's advice, this patch integrates upstream SVN commit 1724971.

This patch also includes a proposed fix to a mis-interpretation of Mozilla profile files. This was not accepted by upstream (yet?).
Comment 4 Arrigo Marchiori 2016-01-19 13:35:53 UTC
Created attachment 165819 [details]
Integration of upstream SVN commits

This contains the following changes:

 1- upstream SVN commit 1724971, following Damjan's advice from comment #2;

 2- fix to a mis-interpretation of the "IsRelative" option inside Mozilla profile files (this is pending review from upstream);

 3- PORTREVISION bump.

Parts 1- and 2- are inside a single patch file, to be created into the files/ directory.
Comment 5 Arrigo Marchiori 2016-01-22 07:36:32 UTC
Comment on attachment 165819 [details]
Integration of upstream SVN commits

Both fixes were merged upstream.
Comment 6 commit-hook freebsd_committer 2016-01-29 00:44:31 UTC
A commit references this bug:

Author: truckman
Date: Fri Jan 29 00:44:00 UTC 2016
New revision: 407439
URL: https://svnweb.freebsd.org/changeset/ports/407439

Log:
  Fix nss-related problems with password-protected documents.

  Apply patches from upstream commits r1724971 and r1726068 to fix
  upstream bug <https://bz.apache.org/ooo/show_bug.cgi?id=125431>,
  "The Password is incorrect. The file cannot be opened."

  PR:		206234
  Submitted by:	Arrigo Marchiori <ardovm AT yahoo.it>
  MFH:		2106Q1

Changes:
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-4/files/patch-nss
Comment 7 commit-hook freebsd_committer 2016-01-29 19:33:09 UTC
A commit references this bug:

Author: truckman
Date: Fri Jan 29 19:32:13 UTC 2016
New revision: 407493
URL: https://svnweb.freebsd.org/changeset/ports/407493

Log:
  MFH: r405096 (direct commit to openoffice-4 only)
  MFH: r406872 (direct commit to openoffice-4 only)
  MFH: r407439

  r405096:
   Correct the Icon entry in the .desktop files so that the icons are
   visible in the menu.

  r406872:
   PORTREVISION bump to allow a clean merge of the next

  r470439: [1]
   Fix nss-related problems with password-protected documents.

   Apply patches from upstream commits r1724971 and r1726068 to fix
   upstream bug <https://bz.apache.org/ooo/show_bug.cgi?id=125431>,
   "The Password is incorrect. The file cannot be opened."

  PR:		205758
  PR:		206234
  Submitted by:	Arrigo Marchiori <ardovm AT yahoo.it> [1]
  Approved by:	ports-secteam (miwi - r407439)
  Approved by:	ports-secteam (feld - r405096, r406872)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/editors/openoffice-4/Makefile
  branches/2016Q1/editors/openoffice-4/files/patch-nss
Comment 8 commit-hook freebsd_committer 2016-01-30 21:27:25 UTC
A commit references this bug:

Author: truckman
Date: Sat Jan 30 21:26:57 UTC 2016
New revision: 407553
URL: https://svnweb.freebsd.org/changeset/ports/407553

Log:
  Upgrade to upstream svn revision 1727463.  This fixes the upstream
  bug <https://bz.apache.org/ooo/show_bug.cgi?id=125431>,
  "The Password is incorrect. The file cannot be opened."

  PR:		206234

Changes:
  head/editors/openoffice-devel/Makefile
  head/editors/openoffice-devel/distinfo